<div class="max-w-3xl mx-auto mt-4 p-6 bg-white rounded-md shadow-md flex flex-wrap">
  <div class="w-full lg:w-2/3 lg:pr-4">
    <h2 class="text-2xl font-bold mb-4">Informe del Cliente</h2>
    <!-- Mostrar información del cliente -->
    <div class="cliente-info">
      <h3 class="text-lg font-semibold mb-2">Información del Cliente</h3>
      <p><strong>Nombre:</strong> {{ informeCliente?.cliente?.nombre }}</p>
      <p><strong>Dirección:</strong> {{ informeCliente?.cliente?.direccion }}</p>
      <p><strong>Teléfono:</strong> {{ informeCliente?.cliente?.telefono }}</p>
      <!-- Agregar más campos según la estructura de ClienteDTO -->
    </div>

    <!-- Mostrar información de las cuentas -->
    <div class="cuentas-info mt-4">
      <h3 class="text-lg font-semibold mb-2">Cuentas del Cliente</h3>
      <table class="table-auto">
        <thead>
        <tr>
          <th class="px-4 py-2">Número de Cuenta</th>
          <th class="px-4 py-2">Saldo</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let cuenta of informeCliente?.cuentas">
          <td class="border px-4 py-2">{{ cuenta.numero }}</td>
          <td class="border px-4 py-2">{{ cuenta.saldo | currency }}</td>
        </tr>
        </tbody>
      </table>
    </div>

    <!-- Mostrar totales de débitos y créditos -->
    <div class="total-info mt-4">
      <h3 class="text-lg font-semibold mb-2">Totales</h3>
      <p><strong>Total Débitos:</strong> {{ informeCliente?.totalDebitos | currency }}</p>
      <p><strong>Total Créditos:</strong> {{ informeCliente?.totalCreditos | currency }}</p>
    </div>
  </div>

  <!-- Apunte de Chuck Norris -->
  <div class="w-full lg:w-1/3 lg:pl-4">
    <div class="chuck-norris-container bg-gray-100 rounded-lg p-4 shadow-md">
      <h2 class="text-xl font-bold mb-2">Apunte de Chuck Norris</h2>
      <p class="text-lg" *ngIf="chiste">{{ chiste }}</p>
      <button class="mt-4 py-2 px-4 bg-blue-500 text-white rounded-md" (click)="obtenerChisteDeChuckNorris()">Obtener nuevo chiste</button>
    </div>
  </div>

  <button type="submit" (click)="regresar()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
    Regresar
  </button>
</div>
